Error de Latch en WordPress 4.4 Solución

por | 9 diciembre, 2015

Error de Latch en WordPress 4.4

Hola a todos, en este artículo les voy a intentar explicar un error que me ha ocurrido en mi página web. Si ustedes no se han dado cuenta ya, el CMS que yo utilizo es WordPress, bien, hasta aquí todo correcto y nada fuera de lo normal. El problema surge si vosotros, cómo buenos informáticos que sois y os interesáis por la seguridad de vuestro sitio, teníais integrado Latch en vuestro WordPress (un día explico cómo se instala, son 4 pasos…). Pues bien, la gracia se da cuando actualizamos nuestro WordPress a la versión 4.4 (actualmente la última) y de repente nos aparece un mensaje de error. El error se debe a que el plugin de Latch falla por ahora con esta versión de WordPress, la solución es bien sencilla, eliminamos el plugin y problema resuelto (aunque es una pena no poder utilizarlo). Pero esto no se puede hacer directamente desde el backend, porque tanto el frontend como el backend están inaccesibles por este error. Lo que os cuento ha sido una experiencia personal y por tanto me he tropezado con ello en primera persona, pensaba que había tirado mi sitio con el simple hecho de actualizar…

Os cuento los pasos que he seguido (he vuelto a instalar el plugin de Latch para que veáis el error):

  • Instalar el plugin de Latch (en el backend => Plugins / Añadir nuevo / Buscar “Latch”):

error

  • Activar el plugin una vez esté instalado:

error

  • Comienza la gracia, mensaje de error y nos empezamos a tirar de los pelos (no ponerse nervioso):

NOTA: Lo que está tachado es el nombre de mi usuario, cómo comprenderán por seguridad no voy a dejar que lo vean.

error

 

  • Bien, ahora vamos a proceder a solucionar este error. Cómo os comento más arriba esto no se puede hacer directamente desde el área de administración (backend) porque todo el sitio a quedado inaccesible. La solución pasa por eliminar la carpeta y subcarpetas del plugin de latch. Para ello tenemos que acceder o bien mediante FTP, sFTP, TFTP … etc a nuestro servidor, o como en mi caso, acceder a un administrador de archivos integrado en mi servidor de hosting.
  • Para proceder con la eliminación simplemente nos dirigimos hacia la ruta:
    • /public_html/wp-content/plugins/
      • Aquí tenemos que eliminar la carpeta “latch” (en mi caso concreto también elimina las subcarpetas sin problema, sino os funciona hay que hacerlo manualmente):

error

Si habeís seguido estos pasos correctamente os volverá a funcionar vuestro sitio sin problemas, es una pena que esta maravillosa herramienta cómo es Latch aún no sea compatible con la versión 4.4 de WordPress, pero seguro que el equipo de ElevenPaths solucionará este problema enseguida. Hasta que esto ocurra debemos prescindir de este plugin por ahora si no queremos que nos salte dicho error y tirar nuestro website abajo.

Espero que os haya sido de ayuda, un salu2 a todos!!

Hasta la próxima!!

About: Miguel Carretas Perulero

Miguel Carretas Perulero ha escrito 63 artículos en este blog.

Deja un comentario